function sse = spider_fit(params, consts, actual_trace)
rel_inten = params(1);
pulse_width = params(2);

freq_shift = consts(1);
delay = consts(2);
n = consts(3);

x = -n/2:n/2-1;
etg = exp(-x.^2 / (pulse_width)^2);
sg = spider_trace_unequal_arms(etg, freq_shift, delay, rel_inten);

Error = sg - actual_trace;
sse = Error(:)'*Error;